Bug 1420615 - compat-openmpi is obsoleted by openmpi-1.5.3 which does not provide libotf.so.0 causing yum update to fail
Summary: compat-openmpi is obsoleted by openmpi-1.5.3 which does not provide libotf.so...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.8
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Valentina Mukhamedzhanova
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 05:23 UTC by jcastran
Modified: 2020-03-11 15:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 18:41:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jcastran 2017-02-09 05:23:04 UTC
Description of problem:
compat-openmpi is obsoleted by openmpi-1.5.3 which does not provide libotf.so.0 causing yum update to fail

Error: Package: 1:emacs-23.1-28.el6.x86_64 (rhel-6-server-rpms)
           Requires: libotf.so.0()(64bit)
           Removing: compat-openmpi-1.4.3-1.1.el6.x86_64 (@rhel-6-server-rpms)
               libotf.so.0()(64bit)
           Obsoleted By: openmpi-1.5.3-1.5.3-5.el6.x86_64 (rhel-6-server-rpms)
               Not found

Basically:
   openmpi-1.5.3-1.5.3-5.el6.x86_64 obsoletes
   compat-openmpi-1.4.3-1.1.el6.x86_64 
      BUT doesn't provide the libotf.so.0 file. 
         "libotf" now provides this file


Version-Release number of selected component (if applicable):
   emacs-23.1-25.el6.x86_64
   emacs-common-23.1-25.el6.x86_64
   compat-openmpi-1.4.3-1.1.el6.x86_64
   compat-openmpi-psm-1.4.3-1.el6.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. yum install emacs-23.1-25.el6.x86_64 emacs-common-23.1-25.el6.x86_64 compat-openmpi-1.4.3-1.1.el6.x86_64 compat-openmpi-psm-1.4.3-1.el6.x86_64 --exclude=openmpi*
2. yum update


Actual results:
   update fails because openmpi does not have libotf.so.0. 
   openmpi obsoletes compat-openmpi, but does not fully cover the files provided by it. (basically compat-openmpi is obsoleted by 2 packages)

Expected results:
   yum update succeeds.

Additional info:
   Work Around:
      # yum install libotf openmpi-1.5.3-1.5.3-5.el6.x86_64

   OR:
      # yum install libotf
      # yum update

~~~~~~~~~~~~~~~~~~~Lots of Notes~~~~~~~~~~~~~~~~~~~~

Issue:
   openmpi-1.5.3-1.5.3-5.el6.x86_64 obsoletes
   compat-openmpi-1.4.3-1.1.el6.x86_64 
      BUT doesn't provide the libotf.so.0 file. 
         "libotf" now provides this file

Oddly:
   libotf requires libXau and libXmu. Removing libotf will only remove libotf leaving the other 2 behind.
   If libXau and libXmu are installed, the yum transaction will resolve that it needs libotf
   If libotf is installed, the yum transaction will complete



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Update works with libXau and libXmu installed ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# yum install libXau libXmu
# subscription-manager release --unset ; yum clean all
# yum update



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Update works with packages updated to latest 6.7 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# subscription-manager release --set=6.7 ; yum clean all
      Release set to: 6.7
# yum install emacs
# subscription-manager release --unset ; yum clean all
# yum install openmpi-1.5.3-3.el6 --exclude=openmpi-1.5.4*,openmpi-1.8*     ###the exclusion is present to prevent obsoletion
# yum update                                                                ###This works, but why?

# yum update < /dev/null | grep libotf
      --> Processing Dependency: libotf.so.0()(64bit) for package: 1:emacs-23.1-28.el6.x86_64      ###Now emacs says it needs libotf
      ---> Package libotf.x86_64 0:0.9.9-3.1.el6 will be installed
      --> Processing Dependency: libXaw.so.7()(64bit) for package: libotf-0.9.9-3.1.el6.x86_64
      --> Processing Dependency: libXmu.so.6()(64bit) for package: libotf-0.9.9-3.1.el6.x86_64
       libotf                    x86_64 0.9.9-3.1.el6        rhel-6-server-rpms  80 k



~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Update works with 6.7 latest packages and new install of emacs ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# yum install emacs
      Loaded plugins: product-id, security, subscription-manager, versionlock
      Setting up Install Process
      rhel-6-server-rpms                        | 3.5 kB     00:00     
      rhel-6-server-rpms/primary_db             |  46 MB     00:01     
      Resolving Dependencies
      --> Running transaction check
      ---> Package emacs.x86_64 1:23.1-28.el6 will be installed
      --> Processing Dependency: emacs-common = 1:23.1-28.el6 for package: 1:emacs-23.1-28.el6.x86_64
      --> Processing Dependency: libotf.so.0()(64bit) for package: 1:emacs-23.1-28.el6.x86_64
      --> Running transaction check
      ---> Package emacs-common.x86_64 1:23.1-25.el6 will be updated
      ---> Package emacs-common.x86_64 1:23.1-28.el6 will be an update
      ---> Package openmpi-psm.x86_64 0:1.5.3-3.el6 will be installed
      --> Finished Dependency Resolution
      
      Dependencies Resolved

      =======================================================================================================================================
       Package               Arch                Version                 Repository                             Size
      =======================================================================================================================================
      Installing:
       emacs                 x86_64               1:23.1-28.el6          rhel-6-server-rpms                     2.2 M
      Installing for dependencies:
       openmpi-psm           x86_64               1.5.3-3.el6            rhel-6-server-rpms                     2.1 M
      Updating for dependencies:
       emacs-common          x86_64               1:23.1-28.el6          rhel-6-server-rpms                     18 M

Comment 3 Chris Williams 2017-06-13 18:41:23 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.
 
The official life cycle policy can be reviewed here:
 
http://redhat.com/rhel/lifecycle
 
This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:
 
https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.